StrikedTypePayoff Class Reference

Intermediate class for payoffs based on a fixed strike. More...

`#include <ql/instruments/payoffs.hpp>`

Inheritance diagram for StrikedTypePayoff:
[legend]

## Public Member Functions

Real | strike () const
Payoff interface
std::string | description () const
Public Member Functions inherited from TypePayoff
Option::Type | optionType () const
Public Member Functions inherited from Payoff
virtual std::string | name () const =0
virtual Real | operator() (Real price) const =0
virtual void | accept (AcyclicVisitor &)

## Protected Member Functions

| StrikedTypePayoff (Option::Type type, Real strike)
Protected Member Functions inherited from TypePayoff
| TypePayoff (Option::Type type)

## Protected Attributes

Real | strike_
Protected Attributes inherited from TypePayoff
Option::Type | type_

## Detailed Description

Intermediate class for payoffs based on a fixed strike.